=== debian/changelog ===
aqsis (1.6.0-9) unstable; urgency=low

  * Switch to debhelper compat level v9
  * Enable some extra compiling options and hardening flags

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 20 Dec 2011 18:41:47 +0000

aqsis (1.6.0-8) unstable; urgency=low

  * Remove the use of special "CXXFLAGS" in debian/rules, use default
    ones
  * Removed Vcs-Hg and Vcs-Browser in "control" file, they point to
    upstream and not the Debian packaging
  * Quell lintian issues:
    - unneeded-build-dep-on-quilt: remove from Build-Depends

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sat, 22 Oct 2011 21:32:20 +0100

aqsis (1.6.0-7) unstable; urgency=low

  * Build-Depends on libjpeg-dev instead of libjpeg62-dev (Closes: #633687)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Thu, 14 Jul 2011 01:55:06 +0200

aqsis (1.6.0-6) unstable; urgency=low

  * Changed debhelper compat to level 8 (level 7 before), no changes needed
  * debhelper compat level 8 generates symbols files for shared libraries,
    quells lintian warning "no-symbols-control-file"
  * Change Maintainer to myself, I've been the only effective maintainer since
    2007, for more than a year now

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Fri, 08 Jul 2011 16:56:01 +0200

aqsis (1.6.0-5) unstable; urgency=low

  * Rebuild for transition to tinyxml 2.6.2 (Closes: #628117)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Fri, 27 May 2011 22:54:41 +0200

aqsis (1.6.0-4) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed)
  * Include patch to avoid FTBFS with boost 1.46 (Closes: #624504)
  * Include patch to avoid FTBFS with missing NULL
  * Adding Replace and Breaks for aqsis-examples package on old aqsis-data
    package, to avoid having the old package hanging around
  * Simplifying a lot debian/rules file by leveraging debhelper capabilities,
    only acting when deviating from auto behaviour

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Fri, 27 May 2011 21:50:00 +0200

aqsis (1.6.0-3) unstable; urgency=low

  * Bumped Standards-Version to 3.9.1 (no changes needed)
  * Add DM-Upload-Allowed: yes
  * Update versions of some dependencies (flex, boost) so they match the
    versions currently in testing (to avoid using software which is too old and
    may have bugs)
  * Quell lintin warning: package-contains-empty-directory
    "usr/share/aqsis/plugins/"

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 15 Aug 2010 00:15:28 +0200

aqsis (1.6.0-2) unstable; urgency=low

  * Put myself in the Uploaders field
  * Bump Standards-Version to 3.9.0 (no changes needed)
  * Disable RPATH in building system (lintian: binary-or-shlib-defines-rpath)
  * Using Breaks instead of Conflicts (lintian: conflicts-with-version)
  * Remove houdini script, not interesting for Debian (it's intended as plugin
    for 3rd party proprietary software, to use Aqsis as renderer), and also has
    poor licensing terms (not well explained, not for all files, etc).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 06 Jul 2010 20:59:34 +0200

aqsis (1.6.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * For smooth upgrading in Debian and possibly derived distributions, libraries
    (libaqsis1 and libaqsis-dev) package Conflict and Replace "aqsis-libs" and
    also "aqsis-libs2ca" (which is how it was named in Debian), and restricts to
    versions (<< 1.6.0) just in case.
  * Document better 'copyright' file with additions of third party software
    shipped (one of which, tinyxml, is not used -- we instead depend on and
    build against the package that we already have in Debian).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 29 Jun 2010 16:52:15 +0200

aqsis (1.6.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #515065, #568270).
  * Updated descriptions, renamed packages from 'aqsis-libs*' to
    'libaqsis*', created a new -examples package
  * Updated man pages with 'help2man -N --no-discard-stderr"
  * Changed debhelper compat to level 7 (level 5 before)
  * Added 'watch' file
  * Added 'source/format', with '3.0 (quilt)'
  * Bump Standards-Version to 3.8.4
  * Removed patches:
    - "01_gcc_4.3_fixes.patch" and "02_gcc_4.4_fixes.patch", now
       builds with default gcc version
    - "03_env_clone.patch", doesn't use scons for building now

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 22 Jun 2010 03:22:09 +0200

aqsis (1.2.0-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.4 (missing #include), (Closes: #504858).
    Thanks to Martin Michlmayr who reported the issue and provided a
    patch (added 02_gcc_4.4_fixes.patch). 
  * Use env.Clone instead of env.Copy in various SConscript files
    (added 03_env_clone.patch) (Closes: #549806, #564207)

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 31 Jan 2010 17:47:00 +0100

aqsis (1.2.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * fix ftbfs by including string.h in various sources (closes: #470971).
  * build against libopenexr6 (closes: #476739).
  * apply Ubuntu patch to debian/aqsis-libsc2a.install to fix
    missing libjpg2tif.so.1 problem (closes: #473151).

 -- Colin Tuckley <colint@debian.org>  Tue, 20 May 2008 14:37:25 +0100

aqsis (1.2.0-2) unstable; urgency=low

  * Added support for quilt in debian/control and debian/rules.
  * debian/control, debian/rules: Added support for quilt.
  * Added 01_gcc_4.3_fixes.patch for fixing build problems with upcoming GCC
    release.  Thanks, Martin Michlmayr (closes: #417108).

 -- David Martínez Moreno <ender@debian.org>  Wed, 30 May 2007 12:05:56 +0200

aqsis (1.2.0-1) unstable; urgency=low

  * New maintainer (closes: #368070).
  * New upstream release.  Main changes are:
    - Various small changes to support building for x86_64 systems.

